Skip to main content
GET
Get inventory of a single variant

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retailer_pk
number
required

Retailer ID

id
number
required

Inventory ID

Response

Ok

inventory_updated_at
string<date-time>
required

Time of inventory update (UTC format)

Example:

"2021-09-10T15:24:56Z"

inventory_last_submitted_at
string<date-time>
required

Time of inventory submit (UTC format)

Example:

"2022-09-10T15:24:56Z"

brand_inventory_updated_at
string<date-time>
required

Time of vendor inventory update (UTC format)

Example:

"2022-09-10T15:24:56Z"

sellable_updated_at
string<date-time>
required

Time variant was marked sellable (UTC format)

Example:

"2022-09-10T15:24:56Z"

estimated_availability_date
string
required

Estimated availability date of variant

Minimum string length: 1
Example:

null

variant
object
inventory_policy
enum<string>

Represents whether vendor wants to manage the inventory or not

Available options:
unmanaged,
managed
Example:

"managed"

inventory
integer
read-only

Count of variant available for sale

Example:

0

discontinued
boolean
read-only

true: Variant is discontinued
false: Variant is active

Example:

false

discontinued_updated_at
string<date-time>
read-only

Time variant marked discontinued (UTC format)

Example:

null

replenishable
boolean
read-only

true: Variant is replenishable
false: Variant is not replenishable

Example:

true

sellable
string
read-only

true: Variant is sellable
false: Variant is not sellable

Example:

"No"

locations
object[]
read-only